// TOTAL PARA LA CONFIGURACION SE SUELDO
// Obtiene los elementos input por su ID
const mensualidad = document.getElementById('mensualidad');
const essalud = document.getElementById('essalud');
const sctr = document.getElementById('sctr');
const gratificacion = document.getElementById('gratificacion');
const cts = document.getElementById('cts');
const suma = document.getElementById('suma');
const resultado = document.getElementById('resultado');

// Agrega un evento de input a cada campo
mensualidad.addEventListener('input', calcularTotal);
essalud.addEventListener('input', calcularTotal);
sctr.addEventListener('input', calcularTotal);
gratificacion.addEventListener('input', calcularTotal);
cts.addEventListener('input', calcularTotal);


// Función para calcular el suma, resultado y mostrarlo en el campo respectivo
function calcularTotal() {
    const valmensualidad = parseFloat(mensualidad.value) || 0; // Convierte a número o asigna 0 si no es válido
    const valessalud = parseFloat(essalud.value) || 0;
    const valsctr = parseFloat(sctr.value) || 0;
    const valgratificacion = parseFloat(gratificacion.value) || 0;
    const valcts = parseFloat(cts.value) || 0;
    const valsuma = valmensualidad + valessalud + valsctr + valgratificacion + valcts;
    const valresultado = valsuma/8;

    suma.value = valsuma.toFixed(2); // Muestra el suma con 2 decimales
    resultado.value = valresultado.toFixed(2); // Muestra el resultado con 2 decimales
}

